/* Form V2.0*/
.form-elements {
	--form-gap: 20px;
	/* --form-row-gap:30px;
    --form-column-gap:30px; */
	--form-element-gap: 20px;
	--form-element-padding: 10px;
	--form-line-color: #dfdfdf;
}

.form-elements input,
.form-elements textarea,
.form-elements button {
	font-family: 'AvenirNext-Regular' !important;
	width: 100%;
	padding: var(--form-element-padding);
	/* border: 0 ; */
	border: 1px solid var(--form-line-color);
	box-shadow: none;
	outline: none;
}

.form-elements input::-webkit-input-placeholder,
.form-elements textarea::-webkit-input-placeholder {
	/* color: red; */
}

.form-elements form,
.form-elements .form-line {
	display: flex;
	flex-wrap: nowrap;
	flex-direction: column;
	align-items: flex-start;
	gap: var(--form-gap);
	width: 100%;
}

.form-line {
	gap: var(--form-element-gap);
}

.form-line .form-line-title {
	font-family: 'FranklinGothic-Medium';
	font-size: 18px ;
	padding: 10px 0 0;
}

.form-line .form-line-tips {
	font-size: 14px;
	color: #999999;
}

.form-line .form-line-elements,
.form-line .form-line-elements .form-row-group,
.form-line .form-line-elements .form-column-group {
	display: flex;
	flex-direction: row;
	align-items: center;
	gap: var(--form-element-gap);
	width: 100%;
}

.form-line .form-line-elements .form-column-group {
	flex-direction: column;
	align-items: flex-start;
}

.form-line .form-line-elements .form-row-group,
.form-line .form-line-elements .form-column-group {
	width: 100%;
}

.form-line .form-line-elements .form-column-group{
    gap: 10px ;
}

.form-line .form-line-elements .form-element-label {
	display: flex;
	align-items: center;
	font-size: 14px;
	color: #000000;
}

.form-line .form-line-elements .form-element-require::after {
	content: "*";
	display: block;
	/* font-size: 20px ;
    line-height: 20px ; */
	color: #ff0000;
}

.form-line .form-line-elements .form-select-group label {
	display: flex;
	align-items: center;
	cursor: pointer;
}

.form-line .form-line-elements .form-select-group label>input[type="checkbox"] {
	display: none;
}

.form-line .form-line-elements .form-select-group label>input[type="checkbox"]+span {
	position: relative;
	display: block;
	width: 20px;
	height: 20px;
	border: 1px solid #999999;
	margin-right: 10px;
}

.form-line .form-line-elements .form-select-group label>input[type="checkbox"]:checked+span::after {
	content: "";
	display: block;
	width: 10px;
	height: 20px;
	border: 2px solid #999999;
	border-left: 0;
	border-top: 0;
	transform: translate(5px, -3px) rotate(45deg);
}

.form-elements button {
	display: block;
	font-weight: 700;
	width: 20% ;
	border: 0;
	cursor: pointer;
}

@media (max-width:576px) {

	.form-line .form-line-elements,
	.form-line .form-line-elements .form-row-group,
	.form-line .form-line-elements .form-column-group {
		flex-direction: column;
		align-items: flex-start;
	}
}

/* Reset */
.form-elements .form-line {
	margin-bottom: 0;
}

.form-elements .form-line input:not(:last-child),
.form-elements .form-line textarea:not(:last-child) {
	margin-right: 0;
}
